MojAndroid

Aj Obchod Play má svoje nároky na to, aké aplikácie doň chcú vývojári pridávať. Google vytvára stále novšie verzie operačného systému Android a chce ich inšpirovať k tomu, aby boli nové aplikácie sústredené naň. Takto v minulosti vytvoril podmienku pre Android 8.0 a situácia sa opakuje aj pre Pie.

Nové požiadavky zvyšujú úroveň aplikácií

Google stále pracuje na tom, aby používateľom priniesol nový operačný systém. Nové funkcie, nové možnosti, nové vylepšenia, ale nie všetci vývojári myslia rovnako. Niektorí občas nehľadia na to, že Google už vydal nový Android a ich aplikácia potom nespĺňa požadovaný štandard a nie je kompatibilná.

Preto Google nasadil režim, ktorý vyžaduje od vývojárov podporu najnovších verzií operačného systému. Na to, aby si napríklad nejaká aplikácia rozumela s Androidom 9.0, musí spĺňať API Level 28. Samozrejme, vývojári teraz nemusia zabudnúť na staršie verzie (aplikácia môže pokojne fungovať aj s Androidom 1.0). Vyžaduje sa len to, aby sa pri vývoji nezabudlo na ten najnovší. Nárok bude platný od augusta 2019.

Aplikácie v Obchode Play pridané od augusta 2019 musia byť kompatibilné s Androidom Pie
Aplikácie v Obchode Play pridané od augusta 2019 musia byť kompatibilné s Androidom Pie

Do budúcna predbežne natrvalo

V rámci svojho vyjadrenia Google poznamenal, že rovnaké pravidlá so zvyšovaním úrovne sa budú opakovať každý rok. Vlani sa už podobná situácia odohrala. Spoločnosť vydala nariadenie o tom, že od novembra musí byť každá aplikácia cielená na Android Oreo, pričom môže podporovať (a teda by aj mala podporovať) staršie verzie. Budúci rok môžeme očakávať, že od augusta si budú musieť rozumieť s Androidom Q.

Ďalšie články k téme:

Náš tip
Predinštalované aplikácie budete po novom môcť aktualizovať cez Obchod Play aj bez účtu Google
Náš tip
Obchod Play oslavuje 10 rokov – zaujímavé fakty, ktoré ste možno nevedeli
26.2.2019
Zdroj: Android Police
  • Soky

    myslim ze rok po vydani je dost benevolentny termin

+